Documentation Index

Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt

Use this file to discover all available pages before exploring further.

addCloudMysqlDatabaseList

Prev Next

Available in VPC

Add a database to a Cloud DB for MySQL instance.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET | POST /vmysql/v2/addCloudMysqlDatabaseList
Note

This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.

Request headers

For information about the headers common to all Cloud DB for MySQL (VPC) APIs, see Cloud DB for MySQL (VPC) request headers.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
regionCode String Optional Region code
  • Region code of the Cloud DB for MySQL instance to add the database to.
  • See getRegionList.
  • First Region of the getRegionList query result (default).
cloudMysqlInstanceNo String Required Cloud DB for MySQL instance number
cloudMysqlDatabaseNameList.N List[String] Required List of database names to add to the Cloud DB for MySQL instance
  • Enter 1-30 characters, including English letters, numbers, and special characters "-" and "_".
  • The string must begin with an English letter and end with an English letter or number.
  • Up to 10 databases can be added at once.
  • Example: cloudMysqlDatabaseNameList.1=mysql_test1&cloudMysqlDatabaseNameList.2=mysql_test2
responseFormatType String Optional Format of the response result
  • xml (default) | json

Request example

The request example is as follows:

curl --location --request GET 'https://ncloud.apigw.ntruss.com/vmysql/v2/addCloudMysqlDatabaseList
?regionCode=KR'
&cloudMysqlInstanceNo=****890
&cloudMysqlDatabaseNameList.1=mysql_test' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

This section describes the response format.

Response status codes

For information about the HTTP status codes common to all Cloud DB for MySQL (VPC) APIs, see Cloud DB for MySQL (VPC) response status codes.

Response example

The response example is as follows:

  • If responseFormatType=json
{
    "addCloudMysqlDatabaseListResponse": {
        "requestId": "8b8c7bc4-****-****-****-fafbc0e5519d",
        "returnCode": "0",
        "returnMessage": "success"
    }
}
  • If responseFormatType=xml (default)
<?xml version="1.0" encoding="UTF-8"?>
<addCloudMysqlDatabaseListResponse>
    <requestId>8b8c7bc4-****-****-****-fafbc0e5519d</requestId>
    <returnCode>0</returnCode>
    <returnMessage>success</returnMessage>
</addCloudMysqlDatabaseListResponse>